﻿using System.Collections.Generic;
using ProtoBuf;

namespace WingMan.Bindings
{
    [ProtoContract]
    public class KeyBindingExchange
    {
        private readonly List<string> _keyBindings = new List<string>();

        public KeyBindingExchange()
        {
        }

        public KeyBindingExchange(string nick, List<string> keyBindings) : this()
        {
            Nick = nick;
            KeyBindings = keyBindings;
        }

        [ProtoMember(1)] public string Nick { get; set; }

        [ProtoMember(2)]
        public List<string> KeyBindings
        {
            get => _keyBindings;
            set => _keyBindings.AddRange(value);
        }
    }
}
